From 965ce6e89b05a1dc926c073726bd48bdd58d2460 Mon Sep 17 00:00:00 2001
From: Francois Andrieu <darknao@fedoraproject.org>
Date: Feb 07 2022 21:03:28 +0000
Subject: [PATCH 80/88] hardlink each lang: take 2


---

diff --git a/build-scripts/rebuild-site.py b/build-scripts/rebuild-site.py
index e130b67..4212b7b 100755
--- a/build-scripts/rebuild-site.py
+++ b/build-scripts/rebuild-site.py
@@ -487,10 +487,11 @@ def main():
                 subprocess.run(["cp", "-a", results_dir, copying_dir])
 
                 # Swap the old tree for the new one for each language
-                log("Moving language to the final place:")
-                log(f"  - {copying_dir} to {publish_dir}")
+                log(f"Moving language to the final place: {copying_dir} to {publish_dir}")
                 shutil.rmtree(publish_dir, ignore_errors=True)
                 subprocess.run(["mv", copying_dir, publish_dir])
+                log("hardlinking files...")
+                subprocess.run(["hardlink", "-v", publish_dir])
 
                 # Remove local build
                 shutil.rmtree(results_dir, ignore_errors=True)
@@ -501,10 +502,6 @@ def main():
             log("Consolidate files with hardlink...")
             subprocess.run(["hardlink", "-v", "/antora/output/"])
 
-            # And finally remove the copying dir
-            log("Removing the copying dir...")
-            shutil.rmtree(copying_dir, ignore_errors=True)
-
             log("DONE!")
     
 

